/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * xesam-glib
 * Copyright (C) Mikkel Kamstrup Erlandsen 2008 <mikkel.kamstrup@gmail.com>
 * 
 * xesam-glib is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * xesam-glib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with xesam-glib.  If not, write to:
 * 	The Free Software Foundation, Inc.,
 * 	51 Franklin Street, Fifth Floor
 * 	Boston, MA  02110-1301, USA.
 */

#if !defined (XESAM_GLIB_COMPILATION)
#error "xesam-g-sequential-hits.h is private and strictly for use inside xesam-glib"
#endif

#ifndef _XESAM_G_SEQUENTIAL_HITS_H_
#define _XESAM_G_SEQUENTIAL_HITS_H_

#include <glib-object.h>
#include <xesam-glib/xesam-g-hit.h>

G_BEGIN_DECLS

#define XESAM_TYPE_G_SEQUENTIAL_HITS             (xesam_g_sequential_hits_get_type ())
#define XESAM_G_SEQUENTIAL_HITS(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), XESAM_TYPE_G_SEQUENTIAL_HITS, XesamGSequentialHits))
#define XESAM_G_SEQUENTIAL_HITS_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), XESAM_TYPE_G_SEQUENTIAL_HITS, XesamGSequentialHitsClass))
#define XESAM_IS_G_SEQUENTIAL_HITS(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), XESAM_TYPE_G_SEQUENTIAL_HITS))
#define XESAM_IS_G_SEQUENTIAL_HITS_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), XESAM_TYPE_G_SEQUENTIAL_HITS))
#define XESAM_G_SEQUENTIAL_HITS_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), XESAM_TYPE_G_SEQUENTIAL_HITS, XesamGSequentialHitsClass))

/* Public structs */
typedef struct _XesamGSequentialHits XesamGSequentialHits;
typedef struct _XesamGSequentialHitsClass XesamGSequentialHitsClass;

/* Private structs */
typedef struct _XesamGSequentialHitsPrivate XesamGSequentialHitsPrivate;

struct _XesamGSequentialHitsClass
{
	XesamGHitsClass				parent_class;
};

struct _XesamGSequentialHits
{
	XesamGHits 					parent_instance;
	XesamGSequentialHitsPrivate	*priv;
};

G_END_DECLS

#endif /* _XESAM_G_SEQUENTIAL_HITS_H_ */
